Description: Add fix for tests not yet merged.
Author: Goutham Veeramachaneni <cs14btech11014@iith.ac.in>
Date:   Sun Dec 10 12:02:01 2017 -0600

    Close db so that file space is reclaimed immediately after delete.
    
    Signed-off-by: Goutham Veeramachaneni <cs14btech11014@iith.ac.in>

--- a/db_test.go
+++ b/db_test.go
@@ -236,6 +236,7 @@
 		// Compare the result.
 		q, err := db.Querier(0, numSamples)
 		testutil.Ok(t, err)
+		defer q.Close()
 
 		res, err := q.Select(labels.NewEqualMatcher("a", "b"))
 		testutil.Ok(t, err)
--- a/wal_test.go
+++ b/wal_test.go
@@ -51,6 +51,7 @@
 	for _, of := range w.files {
 		f, err := os.Open(of.Name())
 		testutil.Ok(t, err)
+		defer f.Close()
 
 		// Verify header data.
 		metab := make([]byte, 8)
@@ -142,6 +143,7 @@
 	}, nil, nil)
 
 	testutil.Equals(t, expected, readSeries)
+	testutil.Ok(t, w.Close())
 }
 
 // Symmetrical test of reading and writing to the WAL via its main interface.
@@ -291,6 +293,7 @@
 	fns, err := fileutil.ReadDir(dir)
 	testutil.Ok(t, err)
 	testutil.Equals(t, []string{"000000"}, fns)
+	testutil.Ok(t, wal.Close())
 }
 
 // Test reading from a WAL that has been corrupted through various means.
@@ -428,6 +431,7 @@
 
 			i = 0
 			testutil.Ok(t, r.Read(serf, samplf, nil))
+			testutil.Ok(t, w3.Close())
 		})
 	}
 }
